<ion-card style="width:350px" (click)="presentModal(pedido)">
  <ion-card-header style="
    display:flex;
    flex-direction:row;
    align-items:flex-start;">
    <div style="
      display: flex;
      flex-direction:column;
      justify-content:flex-start;
      align-items:baseline;">
        <ion-card-title #cardContent style="
        display:flex;
        flex-direction:column;
        justify-content:flex-start;
        align-items:baseline;
        white-space: nowrap;
        overflow-x: scroll;
        width: 300px;">{{pedido.estacion.nombre}}</ion-card-title>
        <ion-card-subtitle>{{pedido.estacion.direccion.calle}} {{pedido.estacion.direccion.numero}}</ion-card-subtitle>
    </div>
  </ion-card-header>
  <ion-card-content style="
    display:flex;
    flex-direction:column;
    justify-content:flex-start;
    align-items: flex-start;
    width:auto">
    <div style="display:flex; flex-direction:row; justify-content:space-between; align-items:center;">
      <div style="display:flex;flex-direction:column;justify-content:flex-end;align-items:center;padding: 5px;">
        <div>
          <ion-img [src]="pedido.estacion.logo" style="border-radius:50%"> </ion-img>
        </div>
        <div style=" display:flex; flex-direction:row; justify-content:flex-end; align-items:center;">
          <ion-label>{{calificacionPromedio}}</ion-label><ion-icon name="star" color="warning"></ion-icon>
        </div>
      </div>
      <ion-icon class="ion-padding-custom" name="time-outline"></ion-icon>
      <ion-label class="ion-padding-custom" >{{pedido.estacion.tiempo}}</ion-label>
      <ion-icon  class="ion-padding-custom" name="speedometer-outline"></ion-icon>
      <ion-label class="ion-padding-custom">{{pedido.estacion.distancia}}</ion-label>
    </div>
    <div style="
    display:flex;
    flex-direction:row;
    justify-content:space-evenly;">
    <ion-label
     *ngFor="let servicio of pedido.estacion.servicios">
      <ion-icon class="ion-padding-custom" [name]="servicio"></ion-icon>
    </ion-label>
    </div>
  </ion-card-content>
</ion-card>
